KPACKAGETOOL6(1)

NOME
kpackagetool6 - Instalar, listar e remover os pacotes do Plasma

SINOPSE

kpackagetool6 [-v, --version] [-h, --help] [--hash caminho] [-g, --global] [-t, --type tipo] [-i, --install caminho] [-s, --show nome] [-u, --upgrade caminho] [-l, --list] [--list-types] [-r, --remove nome] [-p, --packageroot caminho] [--generate-index]

DESCRIÇÃO

kpackagetool6 é uma ferramenta de linha de comando para instalar, listar e remover pacotes Plasma.

OPÇÕES

-v, --version
    Apresenta informações sobre a versão.

-h, --help
    Apresenta esta ajuda.

--hash caminho
    Gera um código SHA1 para o pacote disponível na “localização”.

-g, --global
    Para instalar ou remover, funciona em pacotes instalados para todos os usuários.

-t, --type tipo
    O tipo de pacote, correspondendo ao tipo de serviço do plugin de pacotes, por exemplo KPackage/Genérico, Plasma/Tema, Plasma/Papel de parede, Plasma/Miniaplicativo, etc..

-i, --install caminho
    Instala o pacote disponível no “caminho”.

-s, --show nome
    Mostra as informações do pacote “nome”.

-u, --upgrade caminho
    Atualiza o pacote disponível na “caminho”.

-l, --list
    Lista os pacotes instalados.

--list-types
    Lista todos os tipos de pacotes que podem ser instalados.

-r, --remove nome
    Remove o pacote chamado “nome”.

-p, --packageroot caminho
    O caminho completo do pacote raiz. Se não for indicado, serão pesquisadas as pastas de dados padrão desta sessão do Plasma.

--generate-index caminho
    Recria o índice do plugin. Será usado em conjunto com as opções -t ou -g. Recria o índice para o tipo indicado ou para a raiz dos pacotes. Funciona sobre a pasta do usuário, a menos que seja usada a opção -g.

VEJA TAMBÉM

Documentação do usuário mais detalhada está disponível em help:/plasma-desktop (quer através deste URL no Konqueror, quer através do comando khelpcenter help:/plasma-desktop).

AUTORES

kpackagetool6 foi escrito por Aaron Seigo <aseigo@kde.org>.